Video Agent
Send Message or Request Revision
Sends a follow-up message to an existing session. Use to answer agent questions, add context, or request edits to a generated video. Only valid for sessions created in chat mode.
POST
/
v3
/
video-agents
/
{session_id}
Send Message or Request Revision
curl --request POST \
--url https://api.heygen.com/v3/video-agents/{session_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"message": "<string>",
"avatar_id": "<string>",
"voice_id": "<string>",
"brand_kit_id": "<string>",
"files": [
{
"type": "<string>",
"url": "<string>"
}
]
}
'import requests
url = "https://api.heygen.com/v3/video-agents/{session_id}"
payload = {
"message": "<string>",
"avatar_id": "<string>",
"voice_id": "<string>",
"brand_kit_id": "<string>",
"files": [
{
"type": "<string>",
"url": "<string>"
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: '<string>',
avatar_id: '<string>',
voice_id: '<string>',
brand_kit_id: '<string>',
files: [{type: '<string>', url: '<string>'}]
})
};
fetch('https://api.heygen.com/v3/video-agents/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"session_id": "<string>",
"run_id": "<string>",
"title": "<string>"
}
}{
"error": {
"code": "invalid_parameter",
"message": "'message' is required.",
"param": "message",
"doc_url": null
}
}{
"error": {
"code": "authentication_failed",
"message": "Invalid or expired API key. Verify your x-api-key header.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "not_found",
"message": "Session not found.",
"param": null,
"doc_url": null
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Retry after the duration specified in the Retry-After header.",
"param": null,
"doc_url": null
}
}Authorizations
ApiKeyAuthBearerAuth
HeyGen API key. Obtain from your HeyGen dashboard.
Path Parameters
Session ID
Body
application/json
Request body for sending a follow-up message, answering the agent's question, or requesting edits and revisions to a previously generated video.
Text message to the agent
Required string length:
1 - 10000Override avatar for this message
Override voice for this message
Brand kit ID to apply for this message
Optional file attachments (max 20 files)
Maximum array length:
20Asset input via publicly accessible HTTPS URL.
- AssetUrl
- AssetId
- AssetBase64
Show child attributes
Show child attributes
Response
Successful response
Response from sending a message to a session.
Show child attributes
Show child attributes
Previous
Get session resourceReturns a single session resource (image, video, draft, avatar, voice, etc.) by its resource_id.
Next
⌘I
Send Message or Request Revision

